Bug 9408 - non-functional tulip card
Summary: non-functional tulip card
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-13 21:11 UTC by Frank Sweetser
Modified: 2013-07-03 02:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-10 17:12:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Sweetser 2000-02-13 21:11:09 UTC
Card is genuine DEC DE500 tulip card in a dual ppro200.  Same hardware
config worked previously running WinNT4.

lspci -v reports DECchip 21140 (rev 20)
Subsystem: unknown device 500a
Flags: bus master, meduim devsel, latency 32, irq 17
I/O ports at 7c80
Memory at febeff80 (32 bit, non-prefetchable)
Expansion ROM at feb80000 [disabled]

With old_tulip, ifconfig reports "Resource temporarily unavailible"

With tulip, ifconfig appears to correctly configure card, but no packets
are ever sent or recieved, only RX drops.

Comment 1 Frank Sweetser 2000-02-13 21:51:59 UTC
When compiled as module kernel messages were
tulip.c:v0.89H 5/23/98 becker@cesdis.gsfc.nasa.gov
eth0: Digital DS21140 Tulip at 0x7c80, EEPROM not present, 00 4c 69 6e 75 79,
IRQ 0.
eth0: Old style EEPROM -- no media selection information.
tulip.c:v0.91g-ppc 7/16/99 becker@cesdis.gsfc.nasa.gov
eth0: Digital DS21140 Tulip rev 32 at 0x7c80, EEPROM not present,
00:4C:69:6E:75:79, IRQ 17.
eth0: Old style EEPROM with no media selection information.

When tulip is compiled in, it works, with messages
tulip.c:v0.91g-ppc 7/16/99 becker@cesdis.gsfc.nasa.gov
eth0: Digital DS21140 Tulip rev 32 at 0x7c80, 00:00:F8:06:87:88, IRQ 17.
eth0:  EEPROM default media type Autosense.
eth0:  Index #0 - Media MII (#11) described by a 21140 MII PHY (1) block.
eth0:  MII transceiver #5 config 1000 status 782f advertising 01e1.

Comment 2 Ben LaHaise 2000-02-17 21:26:59 UTC
Have you attempted using the de4x5.o module to drive the DE500?  I've had
success using it in cases where tulip.o did not work.

Comment 3 Frank Sweetser 2000-02-21 14:38:59 UTC
No luck with de4x5 - fails to load with device or resource busy.

Comment 4 Jeff Garzik 2002-10-11 19:39:34 UTC
(updating an ancient bug)

Can you try to reproduce with current Red Hat or kernel.org kernel?


Comment 5 Jeff Garzik 2002-12-10 17:12:02 UTC
No reply in close to two months.  I'm closing the bug, please file a new bug
against current Red Hat kernel if this issue still appears.



Note You need to log in before you can comment on or make changes to this bug.